diff --git a/changelog b/changelog
index e2e5540..d8dad94 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091002 tpd src/axiom-website/patches.html 20091002.02.tpd.patch
+20091002 tpd src/interp/i-syscmd.lisp cleanup
 20091002 tpd src/axiom-website/patches.html 20091002.01.tpd.patch
 20091002 tpd src/interp/i-toplev.lisp cleanup
 20091001 tpd src/axiom-website/patches.html 20091001.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d894b72..ced2f02 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2081,5 +2081,7 @@ src/interp/lisplib.lisp cleanup<br/>
 src/interp/i-util.lisp cleanup<br/>
 <a href="patches/20091002.01.tpd.patch">20091002.01.tpd.patch</a>
 src/interp/i-toplev.lisp cleanup<br/>
+<a href="patches/20091002.02.tpd.patch">20091002.02.tpd.patch</a>
+src/interp/i-syscmd.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/i-syscmd.lisp.pamphlet b/src/interp/i-syscmd.lisp.pamphlet
index 6063fc3..4d2118b 100644
--- a/src/interp/i-syscmd.lisp.pamphlet
+++ b/src/interp/i-syscmd.lisp.pamphlet
@@ -50,6 +50,7 @@
 
 (DEFUN |initializeSystemCommands| ()
   (PROG (|l|)
+  (declare (special $SYSCOMMANDS |$systemCommands|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |l| |$systemCommands|)
@@ -73,7 +74,8 @@
 
 (DEFUN |systemCommand| (G166076)
   (PROG (|$options| |$e| |op| |argl| |options| |fun|)
-    (DECLARE (SPECIAL |$options| |$e|))
+    (DECLARE (SPECIAL |$options| |$e| |$systemCommands| $SYSCOMMANDS
+                      |$CategoryFrame|))
     (RETURN
       (PROGN
         (SPADLET |op| (CAAR G166076))
@@ -136,6 +138,7 @@
 
 (DEFUN |synonymsForUserLevel| (|l|)
   (PROG (|cmd| |nl|)
+  (declare (special |$systemCommands| |$UserLevel|))
     (RETURN
       (SEQ (COND
              ((BOOT-EQUAL |$UserLevel| '|development|) |l|)
@@ -165,6 +168,7 @@
 ;  true
 
 (DEFUN |satisfiesUserLevel| (|x|)
+  (declare (special |$UserLevel|))
   (COND
     ((BOOT-EQUAL |x| '|interpreter|) 'T)
     ((BOOT-EQUAL |$UserLevel| '|interpreter|) NIL)
@@ -183,6 +187,7 @@
 
 (DEFUN |unAbbreviateKeyword| (|x|)
   (PROG (|x'|)
+  (declare (special |$systemCommands| |$currentLine| $SYSCOMMANDS))
     (RETURN
       (PROGN
         (SPADLET |x'|
@@ -243,6 +248,7 @@
 ;  commandAmbiguityError(kind,x,u)
 
 (DEFUN |userLevelErrorMessage| (|kind| |x| |u|)
+  (declare (special |$UserLevel|))
   (COND
     ((NULL |u|)
      (|sayKeyedMsg| 'S2IZ0007 (CONS |$UserLevel| (CONS |kind| NIL)))
@@ -265,6 +271,7 @@
 ;  commandAmbiguityError("command", x, u)
 
 (DEFUN |commandErrorIfAmbiguous| (|x| |u|)
+  (declare (special $OLDLINE))
   (COND
     ((NULL |u|) NIL)
     ('T (SETQ $OLDLINE LINE)
@@ -278,6 +285,7 @@
 ;  commandAmbiguityError(kind,x,u)
 
 (DEFUN |commandErrorMessage| (|kind| |x| |u|)
+  (declare (special $OLDLINE))
   (PROGN
     (SETQ $OLDLINE LINE)
     (COND
@@ -314,6 +322,7 @@
 
 (DEFUN |getSystemCommandLine| ()
   (PROG (|p| |maxIndex| |index| |line|)
+  (declare (special |$currentLine|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |p|
@@ -365,6 +374,7 @@
 ;  $pfMacros := REMALIST($pfMacros, macro)
 
 (DEFUN |clearParserMacro| (|macro|)
+  (declare (special |$pfMacros|))
   (COND
     ((NULL (IFCDR (|assoc| |macro| |$pfMacros|))) NIL)
     ('T (SPADLET |$pfMacros| (REMALIST |$pfMacros| |macro|)))))
@@ -479,6 +489,7 @@
 
 (DEFUN |getWorkspaceNames| ()
   (PROG (|n|)
+  (declare (special |$InteractiveFrame|))
     (RETURN
       (SEQ (NMSORT (PROG (G166322)
                      (SPADLET G166322 NIL)
@@ -515,7 +526,8 @@
 
 (DEFUN |interpFunctionDepAlists| ()
   (PROG (|$e| |deps| |dependee| |dependent|)
-    (DECLARE (SPECIAL |$e|))
+    (DECLARE (SPECIAL |$e| |$dependeeAlist| |$dependentAlist| 
+                      |$InteractiveFrame|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$e| |$InteractiveFrame|)
@@ -554,6 +566,7 @@
 
 (DEFUN |fixObjectForPrinting| (|v|)
   (PROG (|v'|)
+  (declare (special |$msgdbPrims|))
     (RETURN
       (PROGN
         (SPADLET |v'| (|object2Identifier| |v|))
@@ -644,6 +657,7 @@
 
 (DEFUN |displayProperties,sayFunctionDeps| (|x|)
   (PROG (|dependents| |dependees| |msg|)
+  (declare (special |$dependeeAlist| |$dependentAlist|))
     (RETURN
       (SEQ (IF (SPADLET |dependents| (GETALIST |$dependentAlist| |x|))
                (SEQ (IF (NULL (CDR |dependents|))
@@ -656,7 +670,7 @@
                                          (|bright| (CAR |dependents|)))))))
                     (|sayMSG|
                         (MAKESTRING
-                            "   The following functions or rules depend on this:"))
+                        "   The following functions or rules depend on this:"))
                     (SPADLET |msg|
                              (CONS '|%b|
                                    (CONS (MAKESTRING "     ") NIL)))
@@ -678,12 +692,12 @@
                               (EXIT (|sayMSG|
                                      (CONS
                                       (MAKESTRING
-                                       "   This depends on the following function ")
+                                  "   This depends on the following function ")
                                       (CONS (MAKESTRING "or rule:")
                                        (|bright| (CAR |dependees|)))))))
                           (|sayMSG|
                               (MAKESTRING
-                                  "   This depends on the following functions or rules:"))
+                       "   This depends on the following functions or rules:"))
                           (SPADLET |msg|
                                    (CONS '|%b|
                                     (CONS (MAKESTRING "     ") NIL)))
@@ -707,7 +721,8 @@
   (PROG (|$dependentAlist| |$dependeeAlist| |LETTMP#1| |opt| |imacs|
             |pmacs| |macros| |vl| |pl| |ISTMP#1| |v1| |prop| |val|
             |propsSeen|)
-    (DECLARE (SPECIAL |$dependentAlist| |$dependeeAlist|))
+    (DECLARE (SPECIAL |$dependentAlist| |$dependeeAlist| |$frameMessages|
+                      |$interpreterFrameName|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$dependentAlist| NIL)
@@ -993,7 +1008,7 @@
 ;  NIL
 
 (DEFUN |displayType| (|$op| |u| |omitVariableNameIfTrue|)
-  (DECLARE (SPECIAL |$op|))
+  (DECLARE (SPECIAL |$op|) (ignore |omitVariableNameIfTrue|))
   (PROG (|type|)
     (RETURN
       (COND
@@ -1033,6 +1048,7 @@
 (DEFUN |displayValue| (|$op| |u| |omitVariableNameIfTrue|)
   (DECLARE (SPECIAL |$op|))
   (PROG (|expr| |op| |rhs| |label| |labmode|)
+  (declare (special |$EmptyMode|))
     (RETURN
       (COND
         ((NULL |u|)
@@ -1088,6 +1104,7 @@
 ;    NIL
 
 (DEFUN |loadSpad2Cmd| (|args|)
+ (declare (ignore |args|))
  (PROGN (|sayKeyedMsg| (QUOTE S2IU0003) NIL) NIL)) 
 
 ;--  load1(args,$forceDatabaseUpdate)
@@ -1137,6 +1154,7 @@
 
 (DEFUN |reportCount| ()
   (PROG (|a| |b| |aPart| |n|)
+  (declare (special |$streamCount| |$cacheAlist| |$cacheCount| $LINELENGTH))
     (RETURN
       (SEQ (PROGN
              (|centerAndHighlight| '| Current Count Settings |
@@ -1226,7 +1244,8 @@
 (DEFUN |readSpad2Cmd| (|l|)
   (PROG (|$InteractiveMode| |opt| |fullopt| |ifthere| |quiet| |ef|
             |devFTs| |fileTypes| |ll| |ft| |upft| |fs|)
-    (DECLARE (SPECIAL |$InteractiveMode|))
+    (DECLARE (SPECIAL |$InteractiveMode| $FINDFILE |$UserLevel| |$options|
+                      /EDITFILE))
     (RETURN
       (SEQ (PROGN
              (SPADLET |$InteractiveMode| 'T)
@@ -1332,7 +1351,8 @@
 
 (DEFUN |showSpad2Cmd| (|l|)
   (PROG (|$showOptions| |$e| |$env| |constr|)
-    (DECLARE (SPECIAL |$showOptions| |$e| |$env|))
+    (DECLARE (SPECIAL |$showOptions| |$e| |$env| |$InteractiveFrame|
+                      |$options|))
     (RETURN
       (COND
         ((BOOT-EQUAL |l| (CONS NIL NIL)) (|helpSpad2Cmd| '(|show|)))
@@ -1402,7 +1422,7 @@
 (DEFUN |reportOperations| (|oldArg| |u|)
   (PROG (|$env| |$eval| |$genValue| |$doNotAddEmptyModeIfTrue|
                 |ISTMP#1| |v| |unitForm| |tree| |unitForm'|)
-    (DECLARE (SPECIAL |$env| |$eval| |$genValue|
+    (DECLARE (SPECIAL |$env| |$eval| |$genValue| |$quadSymbol|
                       |$doNotAddEmptyModeIfTrue|))
     (RETURN
       (SEQ (PROGN
@@ -1471,6 +1491,7 @@
 ;  reportOpsFromUnitDirectly D
 
 (DEFUN |reportOpsFromUnitDirectly0| (D)
+  (declare (special |$useEditorForShowOutput|))
   (COND
     (|$useEditorForShowOutput| (|reportOpsFromUnitDirectly1| D))
     ('T (|reportOpsFromUnitDirectly| D))))
@@ -1487,7 +1508,7 @@
 
 (DEFUN |reportOpsFromUnitDirectly1| (D)
   (PROG (|$sayBrightlyStream| |showFile|)
-    (DECLARE (SPECIAL |$sayBrightlyStream|))
+    (DECLARE (SPECIAL |$sayBrightlyStream| $ERASE |$listingDirectory|))
     (RETURN
       (PROGN
         (SPADLET |showFile|
@@ -1531,6 +1552,7 @@
 ;  reportOpsFromLisplib(unitForm,u)
 
 (DEFUN |reportOpsFromLisplib0| (|unitForm| |u|)
+  (declare (special |$useEditorForShowOutput|))
   (COND
     (|$useEditorForShowOutput|
         (|reportOpsFromLisplib1| |unitForm| |u|))
@@ -1548,7 +1570,7 @@
 
 (DEFUN |reportOpsFromLisplib1| (|unitForm| |u|)
   (PROG (|$sayBrightlyStream| |showFile|)
-    (DECLARE (SPECIAL |$sayBrightlyStream|))
+    (DECLARE (SPECIAL |$sayBrightlyStream| $ERASE |$listingDirectory|))
     (RETURN
       (PROGN
         (SPADLET |showFile|
@@ -1624,7 +1646,8 @@
             |sourceFile| |verb| |opt| |x| |attList|
             |constructorFunction| |LETTMP#1| |funlist| |a| |b| |c|
             |sigList|)
-    (DECLARE (SPECIAL |$commentedOps|))
+    (DECLARE (SPECIAL |$commentedOps| |$CategoryFrame| $LINELENGTH |$options|
+                      |$showOptions|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |isRecordOrUnion|
@@ -1690,7 +1713,7 @@
                                  (|isRecordOrUnion|
                                      (|sayBrightly|
                                       (MAKESTRING
-                                       "   Records and Unions have no attributes.")))
+                                 "   Records and Unions have no attributes.")))
                                  ('T (|sayBrightly| (MAKESTRING ""))
                                   (SPADLET |attList|
                                            (REMDUP
@@ -1833,7 +1856,7 @@
                                   (|sayBrightly|
                                       (CONS
                                        (MAKESTRING
-                                        "Functions that are not yet implemented are preceded by")
+                      "Functions that are not yet implemented are preceded by")
                                        (|bright| (MAKESTRING "--"))))))
                                (|sayBrightly| (MAKESTRING ""))))))))
              NIL)))))
@@ -1881,8 +1904,9 @@
 
 (DEFUN |reportOpsFromLisplib| (|op| |u|)
   (PROG (|fn| |s| |typ| |nArgs| |argList| |functorForm| |argml|
-              |functorFormWithDecl| |verb| |sourceFile| |opt| |x|
-              |attList|)
+              |functorFormWithDecl| |verb| |sourceFile| |opt| |x| |attList|)
+  (declare (special $LINELENGTH |$showOptions| |$options|
+                    |$FormalMapVariableList|))
     (RETURN
       (SEQ (COND
              ((NULL (SPADLET |fn| (|constructor?| |op|)))
@@ -1986,7 +2010,7 @@
                                       (|bright| (MAKESTRING "views"))
                                       (CONS
                                        (MAKESTRING
-                                        "you must give parameters of constructor")
+                                     "you must give parameters of constructor")
                                        NIL)))))
                                ((BOOT-EQUAL |opt| '|attributes|)
                                 (|centerAndHighlight|
@@ -2070,6 +2094,7 @@
 
 (DEFUN |displayOperationsFromLisplib| (|form|)
   (PROG (|name| |argl| |kind| |opList| |opl| |ops|)
+  (declare (special |$FormalMapVariableList| $LINELENGTH))
     (RETURN
       (SEQ (PROGN
              (SPADLET |name| (CAR |form|))
@@ -2115,6 +2140,7 @@
 
 (DEFUN |synonymSpad2Cmd| ()
   (PROG (|line| |pair|)
+  (declare (special |$CommandSynonymAlist|))
     (RETURN
       (PROGN
         (SPADLET |line| (|getSystemCommandLine|))
@@ -2182,6 +2208,7 @@
 
 (DEFUN |printSynonyms| (|patterns|)
   (PROG (|a| |b| |ls|)
+  (declare (special |$CommandSynonymAlist| $LINELENGTH))
     (RETURN
       (SEQ (PROGN
              (|centerAndHighlight| '|System Command Synonyms|
@@ -2333,6 +2360,7 @@
 
 (DEFUN |whatCommands| (|patterns|)
   (PROG (|label| |l|)
+  (declare (special |$systemCommands| $LINELENGTH |$UserLevel|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |label|
@@ -2398,6 +2426,7 @@
 
 (DEFUN |reportWhatOptions| ()
   (PROG (|optList1|)
+  (declare (special |$whatOptions|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |optList1|
@@ -2570,6 +2599,7 @@
 
 (DEFUN |processSynonyms| ()
   (PROG (|fill| |p| |line| |synstr| |syn| |to| |opt| |fun| |cl|)
+  (declare (special |$CommandSynonymAlist|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |p| (STRPOS (MAKESTRING ")") LINE 0 NIL))
@@ -2627,6 +2657,7 @@
 
 (DEFUN |tabsToBlanks| (|s|)
   (PROG (|k| |n|)
+  (declare (special |$charBlank| |$charTab|))
     (RETURN
       (PROGN
         (SPADLET |k| (|charPosition| |$charTab| |s| 0))
@@ -2662,7 +2693,7 @@
 
 (DEFUN |doSystemCommand| (|string|)
   (PROG (LINE |tok| |unab| |optionList|)
-    (DECLARE (SPECIAL LINE))
+    (DECLARE (SPECIAL LINE |$tokenCommands| |$noParseCommands|))
     (RETURN
       (PROGN
         (SPADLET |string|
@@ -2700,6 +2731,7 @@
 
 (DEFUN |npboot| (|str|)
   (PROG (|sex|)
+  (declare (special |$ans|))
     (RETURN
       (PROGN
         (SPADLET |sex| (|string2BootTree| |str|))
@@ -2743,6 +2775,7 @@
 ;  FORMAT(true, '"~&Value = ~S~%", $ans)
 
 (DEFUN |nplisp| (|str|)
+  (declare (special |$ans|))
   (PROGN
     (SPADLET |$ans| (EVAL (READ-FROM-STRING |str|)))
     (FORMAT 'T (MAKESTRING "~&Value = ~S~%") |$ans|)))
@@ -3070,7 +3103,7 @@
 
 (DEFUN |parseFromString| (|s|)
   (PROG (|$InteractiveMode| $BOOT $SPAD |$e|)
-    (DECLARE (SPECIAL |$InteractiveMode| $BOOT $SPAD |$e|))
+    (DECLARE (SPECIAL |$InteractiveMode| $BOOT $SPAD |$e| |$useNewParser|))
     (RETURN
       (COND
         (|$useNewParser| (|ncParseFromString| |s|))
@@ -3172,6 +3205,7 @@
 
 (DEFUN |npProcessSynonym| (|str|)
   (PROG (|pair|)
+  (declare (special |$CommandSynonymAlist|))
     (RETURN
       (PROGN
         (COND
